#!/bin/sh

set -e

#DEBHELPER#

case "$1" in
    remove|upgrade|deconfigure)
        # Attempt to (re-)load module, fail silently if not possible
        echo "(Re)load module if possible"
        rmmod soc_button_array > /dev/null 2>&1 || true
        modprobe soc_button_array > /dev/null 2>&1 || true
    ;;
esac
